<div th:replace="fm:data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div th:id="|file-${(null != group ? group.id + '-' : '') + pathAsHtmlId}|" class="attachment" xmlns:th="http://www.thymeleaf.org">
        <input th:id="|hidden-${(null != group ? group.id + '-' : '') + pathAsHtmlId}|" th:type="text" th:name="${prefix + data.id}" th:attr="data-parsley-required=${data.isMandatory() ? true:null}" class="accessibleHidden" />
        <div class="row">
            <div class="col-md-9">
                <ul class="placeholder list-group list-group-small" data-toggle="sortable" th:attr="data-reorder=@{/record/{code}/{step}/reorder/{id}(code=${code}, step=${step}, id=${(null != group ? group.id + '-' : '') + pathAsHtmlId})}, data-item-url-template=@{/record/{code}/{step}/download/{{parent}}/{{id}}/{{label}}(code=${code}, step=${step})}">
                    <li class="list-group-item" th:each="item, stat : ${value}" th:id="|file-${(null != group ? group.id + '-' : '') + pathAsHtmlId}-${item.id}|">
                        <a th:href="@{/record/{code}/{step}/download/{id}/{idx}/{name}(code=${code}, step=${step}, id=${(null != group ? group.id + '_' : '') + prefix.replace('.', '_') + data.id}, idx=${item.id}, name=${item.label})}" th:text="${item.label}"></a>
                    </li>
                </ul>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <div class="col-md-12">
                        <input type="file" name="attachment" th:id="${pathAsHtmlId}" data-toggle="file" data-remove="no" data-auto-upload="true" data-control="no" data-select-class="btn-primary form-control" data-ajax="refreshAttachments" th:attr="data-action=@{/record/{code}/{step}/upload/{id}(code=${code}, step=${step}, id=${(null != group ? group.id + '_' : '') + prefix.replace('.', '_') + data.id})},data-select-label=#{Select},accept=${type.ext ?: null}" />
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-12">
                        <button type="button" class="btn btn-default form-control" role="empty" th:attr="data-target=@{/record/{code}/{step}/empty/{id}(code=${code}, step=${step}, id=${(null != group ? group.id + '_' : '') + prefix.replace('.', '_') + data.id})}, data-id=${prefix + data.id}"><i class="fa fa-trash"></i> <th:block th:text="#{Remove all}" /></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>